1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrade from 1.23 to 1.27 broke eMule UPnP

Discussion in 'Tomato Firmware' started by bigclaw, Jan 29, 2010.

  1. bigclaw

    bigclaw Network Guru Member

    Hello, I recently upgraded from Tomato 1.23 to 1.27, and my eMule (v0.49c) UPnP doesn't work anymore. I have to revert to explicit port-forwarding for now. I checked the Tomato change logs, and it seems that the latest Tomato versions use a different application to handle UPnP.

    I have not verified whether other UPnP (uTorrent, etc) applications are affected.
     
  2. mstombs

    mstombs Network Guru Member

    There are various reports on Miniupnpd not working with eMule, but apparently there are mods of emule that do work, see other posts on Internet and http://miniupnp.tuxfamily.org/ , sorry can't see direct link right now
     
  3. bigclaw

    bigclaw Network Guru Member

    Thanks. Good to know.
     
  4. mstombs

    mstombs Network Guru Member

  5. Armand1234

    Armand1234 Addicted to LI Member

    @bigclaw - when you start emule, arrows (down left>ed2k, kad) are red? Emule can not connect or you geting lowID?
     
  6. Toastman

    Toastman Super Moderator Staff Member Member

    Yes, eMule UPnP is incorrectly implemented. The usual advice is to use a mod version in which the problem has been fixed.

    There are many eMule mods that work well, this is a good site to look

    http://www.seba14.org/
     
  7. bigclaw

    bigclaw Network Guru Member

    Yes, I'm getting a low ID.
     
  8. Armand1234

    Armand1234 Addicted to LI Member

    Im using Victeks mod (v1.25.8025 .2-RAF STD (non ND)), everything work out of the box ( both arrows green).
    Toastman, is standard tomato 1.27 using miniUPnPd like in Victek mod?
     
  9. Toastman

    Toastman Super Moderator Staff Member Member

    Yes, after miniUPnPd was incorporated into Tomato by Teddy Bear, early last year, Jon did the same, so it's now part of the official release. However, the official release still has some bugs to do with unused port deletion, and the section of the GUI with expiry and other options is missing in his version. I would avoid using it. Stick with Victek and Teddy Bear based versions which are OK.
     

Share This Page